def verifie(tab = []):
    """ Paramètre : un tableau (type list) de valeurs numériques, non vide 
        Sortie : un booléen indiquant si ce tableau est trié dans l'ordre croissant """ 
    n = len(tab)
    for i in range(n - 1):
        if tab[i] > tab[i + 1]:
            return False
    return True

# On peut aussi faire avec une boucle non borné "While"
def verifie2(tab): 
    """ Paramètre : un tableau (type list) de valeurs numériques, non vide 
        Sortie : un booléen indiquant si ce tableau est trié dans l'ordre croissant """ 
    i = 0 
    while i < len(tab) - 1: 
        if tab[i] > tab[i + 1]: 
            return False 
        i += 1 
    return True

if __name__=='__main__':
    print(verifie([0, 5, 8, 8, 9]))
    #True
    print(verifie([8, 12, 4]))
    #False
    print(verifie([-1, 4]))
    #True
    print(verifie([5]))
    #True
