def depouille(urne):
    resultat = {}
    for bulletin in urne:
        if bulletin in resultat: # ou resultat.keys()
            resultat[bulletin] = resultat[bulletin] + 1
        else:
            resultat[bulletin] = 1
    return resultat

def vainqueur(election):
    """ election est le dictionnaire renvoyé par la fonction depouille 
        {'Oreilles sales': 3, 'Extra Vomit': 4, 'Lady Baba': 3} """
    vainqueur = ''
    nmax = 0
    for candidat in election: # candidat prend les différentes valeurs des clés du dico, c-a-d le nom des diff. candidats
        if election[candidat] > nmax :
            nmax = election[candidat]
            vainqueur = candidat
    liste_finale = [nom for nom in election if election[nom] == nmax]
    return liste_finale

if __name__=='__main__':
    urne = ['A', 'A', 'A','B', 'C', 'B', 'C','B', 'C', 'B']
    
    election = depouille(urne) 
    print(election)  #{'B': 4, 'A': 3, 'A': 3}
    print(vainqueur(election)) # ['B']
    
    Urne2 = ['Oreilles sales', 'Oreilles sales', 'Oreilles sales', 'Extra Vomit',
            'Lady Baba', 'Extra Vomit', 'Lady Baba', 'Extra Vomit', 'Lady Baba', 'Extra Vomit', 'Lady Baba']
    
    election2 = depouille(Urne2) 
    print(election2)
    print(vainqueur(election2))
    